Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.SOAPRequestProperties Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | SOAPRequestProperties ()
| Constructor. More...
def | Set (request_url, request_content, soap_action, soap_namespace, soap_version, content_type, is_encode, is_wiredump, request_header, authenticate)
| Set values. More...

## Static Public Attributes
| authenticate = _fsdk.SOAPRequestProperties_authenticate
| An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.
| content_type = _fsdk.SOAPRequestProperties_content_type
| Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
| is_encode = _fsdk.SOAPRequestProperties_is_encode
| Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
| is_wiredump = _fsdk.SOAPRequestProperties_is_wiredump
| Whether to output debug information for SOAP requests and responses, defaults to true.
| request_content = _fsdk.SOAPRequestProperties_request_content
| An object that specifies the remote procedure name and parameters or the XML message to send.
| request_header = _fsdk.SOAPRequestProperties_request_header
| An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.
| request_url = _fsdk.SOAPRequestProperties_request_url
| The URL for a SOAP HTTP endpoint.
| soap_action = _fsdk.SOAPRequestProperties_soap_action
| The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
| soap_namespace = _fsdk.SOAPRequestProperties_soap_namespace
| A namespace for the message schema when the request does not use the SOAP Encoding. More...
| soap_version = _fsdk.SOAPRequestProperties_soap_version
| The version of the SOAP protocol to use when generating the XML Message.

## Detailed Description

This class represents SOAP request properties.

## Constructor & Destructor Documentation

## ◆ SOAPRequestProperties()

def FoxitPDFSDKPython3.SOAPRequestProperties.SOAPRequestProperties | ( |  | ) |

Constructor.

Constructor, with parameters.

Constructor, with another SOAP request properties object.

Parameters

  [in] | request_properties | Another SOAP request properties object.
  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.SOAPRequestProperties.Set | ( |  | request_url,
|  |  | request_content,
|  |  | soap_action,
|  |  | soap_namespace,
|  |  | soap_version,
|  |  | content_type,
|  |  | is_encode,
|  |  | is_wiredump,
|  |  | request_header,
|  |  | authenticate
| ) |  |

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## Member Data Documentation

## ◆ soap_namespace

FoxitPDFSDKPython3.SOAPRequestProperties.soap_namespace = _fsdk.SOAPRequestProperties_soap_namespace
| static

A namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.